Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface ClusterMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, TargetMBean, weblogic.management.WebLogicMBean

public interface ClusterMBean
extends TargetMBean

This bean represents a cluster in the domain. Servers join a cluster by calling ServerMBean.setCluster with the logical name of the cluster. A configuration may define zero or more clusters. They may be looked up by logical name. The name of a cluster denotes its logical cluster name.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getAdditionalAutoMigrationAttempts()` A migratable server could fail to come up on every possible configured machine.
`String` | `getAutoMigrationTableName()` Return the name of the table to be used for server migration.
`MachineMBean[]` | `getCandidateMachinesForMigratableServers()` The set of machines (and order of preference) on which Node Manager will restart failed servers.
`String` | `getClusterAddress()` The address that forms a portion of the URL a client uses to connect to this cluster, and that is used for generating EJB handles and entity EJB failover addresses.
`String` | `getClusterType()` Optimizes cross-cluster replication for the type of network that servers in the clusters use for administrative communication.
`JDBCSystemResourceMBean` | `getDataSourceForAutomaticMigration()` The data source used by servers in the cluster during migration.
`JDBCSystemResourceMBean` | `getDataSourceForSessionPersistence()` To support HTTP Session failover across data centers, requires a datasource to dump session state on disk.
`String` | `getDefaultLoadAlgorithm()` The algorithm to be used for load-balancing between replicated services if none is specified for a particular service.
`int` | `getFencingGracePeriodMillis()` During automatic migration, if the Cluster Master determines a server to be dead, it waits for this period of time (in milliseconds) before the Cluster Master migrates the service to another server in the cluster.
`String` | `getFrontendHost()` The name of the host to which all redirected URLs will be sent.
`int` | `getFrontendHTTPPort()` The name of the HTTP port to which all redirected URLs will be sent.
`int` | `getFrontendHTTPSPort()` The name of the secure HTTP port to which all redirected URLs will be sent.
`int` | `getHealthCheckIntervalMillis()` Interval in milliseconds at which Migratable Servers and Cluster Masters prove their liveness via the database.
`int` | `getHealthCheckPeriodsUntilFencing()` Maximum number of periods that a cluster member will wait before timing out a Cluster Master and also the maximum number of periods the Cluster Master will wait before timing out a Migratable Server.
`int` | `getIdlePeriodsUntilTimeout()` Maximum number of periods that a cluster member will wait before timing out a member of a cluster.
`int` | `getInterClusterCommLinkHealthCheckInterval()` If the cluster link between two clusters goes down, a trigger will run to periodically to see if the link is restored.
`int` | `getMemberWarmupTimeoutSeconds()` Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster.
`long` | `getMillisToSleepBetweenAutoMigrationAttempts()` Controls how long of a pause there should be between the migration attempts described in getAdditionalAutoMigrationAttempts().
`String` | `getMulticastAddress()` The multicast address used by cluster members to communicate with each other.
`int` | `getMulticastBufferSize()` The multicast socket send/receive buffer size (at least 64 kilobytes).
`boolean` | `getMulticastDataEncryption()` Enables multicast data to be incrypted.
`int` | `getMulticastPort()` The multicast port (between 1 and 65535) used by cluster members to communicate with each other.
`int` | `getMulticastSendDelay()` The amount of time (between 0 and 100 milliseconds) to delay sending message fragments over multicast in order to avoid OS-level buffer overflow.
`int` | `getMulticastTTL()` The number of network hops (between 1 and 255) that a cluster multicast message is allowed to travel.
`int` | `getNumberOfServersInClusterAddress()` Number of servers to be listed from this cluster when generating a cluster address automatically.
`OverloadProtectionMBean` | `getOverloadProtection()` Get attributes related to server overload protection.
`String` | `getRemoteClusterAddress()` Set the foreign cluster.
`String` | `getReplicationChannel()` The channel name to be used for replication traffic.
`ServerMBean[]` | `getServers()` The servers which have declared membership in this cluster.
`int` | `getServiceAgeThresholdSeconds()` The number of seconds (between 0 and 65534) by which the age of two conflicting services must differ before one is considered older than the other.
`int` | `getSessionFlushInterval()` Interval in seconds until HTTP Sessions are periodically flushed to the backup cluster to dump session state on disk.
`int` | `getSessionFlushThreshold()` When number of sessions to be flushed reaches this threshold limit, sessions will be flushed to the backup cluster before the flush interval.
`boolean` | `isClientCertProxyEnabled()` Specifies whether to honor the WL-Proxy-Client-Cert header coming with the request or not.
`boolean` | `isHttpTraceSupportEnabled()` Returns the value of HttpTraceSupportEnabled.
`boolean` | `isReplicationTimeoutEnabled()` Indicates if timeout should be applied to session replication calls.
`boolean` | `isWeblogicPluginEnabled()` Specifies whether the proprietary `WL-Proxy-Client-IP` header should be used.
`HashMap` | `kill()` Used to force a Shutdown of all the servers belonging to the Cluster.
`void` | `setAdditionalAutoMigrationAttempts(int tries)` Sets the AdditionalAutoMigrationAttempts value If it is set to -1, migrations will go on forever until the server starts.
`void` | `setAutoMigrationTableName(String name)`
`void` | `setCandidateMachinesForMigratableServers(MachineMBean[] machines)` set getCandidateMachinesForMigratableServers
`void` | `setClientCertProxyEnabled(boolean ccp)` A value of `true` causes proxy-server plugins to pass identity certificates from clients to all web applications that are deployed on all server instances in the cluster.
`void` | `setClusterAddress(String address)` Sets the cluster's address.
`void` | `setClusterType(String type)` Sets the value of the ClusterType attribute.
`void` | `setDataSourceForAutomaticMigration(JDBCSystemResourceMBean dataSource)` Sets the DataSourceForAutomaticMigration attribute.
`void` | `setDataSourceForSessionPersistence(JDBCSystemResourceMBean mbean)` Sets the DataSourceForSessionPersistence attribute.
`void` | `setDefaultLoadAlgorithm(String value)` Sets the default load balancing algorithm.
`void` | `setFencingGracePeriodMillis(int gracePeriod)` Sets the value of the FencingGracePeriodMillis attribute.
`void` | `setFrontendHost(String hostName)` Sets the FrontendHost attribute of the WebServerMBean object
`void` | `setFrontendHTTPPort(int httpPort)` Sets the FrontendHTTPPort attribute.
`void` | `setFrontendHTTPSPort(int httpsPort)` Sets the FrontendHTTPSPort attribute.
`void` | `setHealthCheckIntervalMillis(int healthCheckInterval)` Sets the value of the HealthCheckIntervalMillis attribute.
`void` | `setHealthCheckPeriodsUntilFencing(int healthCheckPeriodsUntilTimeout)` Sets the value of the HealthCheckPeriodsUntilFencing attribute.
`void` | `setHttpTraceSupportEnabled(boolean tse)` Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data.
`void` | `setIdlePeriodsUntilTimeout(int timeout)` Sets the IdlePeriodsUntilTimeout attribute.
`void` | `setInterClusterCommLinkHealthCheckInterval(int interval)` Sets the InterClusterCommLinkHealthCheckInterval attribute.
`void` | `setMemberWarmupTimeoutSeconds(int seconds)` Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster.
`void` | `setMillisToSleepBetweenAutoMigrationAttempts(long millis)` Sets the getMillisToSleepBetweenAutoMigrationAttempts value
`void` | `setMulticastAddress(String address)` Sets the multicast address used by cluster members to communicate with each other.
`void` | `setMulticastBufferSize(int bufSize)` Defines the multicast socket send/receive buffer size.
`void` | `setMulticastDataEncryption(boolean value)`
`void` | `setMulticastPort(int port)` The multicast port used by cluster members to communicate with each other.
`void` | `setMulticastSendDelay(int delay)` Sets the number of milliseconds to delay sending message fragments over multicast.
`void` | `setMulticastTTL(int ttl)` Sets the time-to-live value for the cluster's multicast address.
`void` | `setNumberOfServersInClusterAddress(int numberOfServersInClusterAddress)` Sets the NumberOfServersInClusterAddress attribute
`void` | `setRemoteClusterAddress(String clusterAddress)` Sets the RemoteClusterAddress attribute.
`void` | `setReplicationChannel(String replicationChannel)`
`void` | `setReplicationTimeoutEnabled(boolean replicationTimeout)` Enable or disable replication timeout.
`void` | `setServiceAgeThresholdSeconds(int seconds)` Defines the number of seconds by which the age of two conflicting services must differ before one is considered older than the other.
`void` | `setSessionFlushInterval(int sessionFlushInterval)` Sets the SessionFlushInterval attribute.
`void` | `setSessionFlushThreshold(int sessionFlushThreshold)` Sets the SessionFlushThreshold attribute.
`void` | `setWeblogicPluginEnabled(boolean wpe)` WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value.
`HashMap` | `start()` Used to start all the servers belonging to the Cluster.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAdditionalAutoMigrationAttempts

    public int getAdditionalAutoMigrationAttempts()

  A migratable server could fail to come up on every possible configured machine. This attribute controls how many further attempts, after the first one, should be tried. Note that each attempt specified here indicates another full circut of migrations amongst all the configured machines. So for a 3-server cluster, and the default value of 3, a total of 9 migrations will be attempted. If it is set to -1, migrations will go on forever until the server starts.

  Default value:
    3
  A dynamic MBean attribute.
    false

### getAutoMigrationTableName

    public String getAutoMigrationTableName()

  Return the name of the table to be used for server migration.

  Returns:
  Default value:
    "ACTIVE"
  A dynamic MBean attribute.
    false

### getCandidateMachinesForMigratableServers

    public MachineMBean[] getCandidateMachinesForMigratableServers()

  The set of machines (and order of preference) on which Node Manager will restart failed servers. (Requires you to enable each server for automatic migration.)

  Each server can specify a subset of these cluster-wide candidates, which limits the machines on which the server can be restarted. Servers can also specify their own order of preference.

  See Also:
    `ServerMBean#getCandidateMachinesForMigratableServers`

### getClusterAddress

    public String getClusterAddress()

  The address that forms a portion of the URL a client uses to connect to this cluster, and that is used for generating EJB handles and entity EJB failover addresses. (This address may be either a DNS host name that maps to multiple IP addresses or a comma-separated list of single address host names or IP addresses.)

  Defines the address to be used by clients to connect to this cluster. This address may be either a DNS host name that maps to multiple IP addresses or a comma separated list of single address host names or IP addresses. If network channels are configured, it is possible to set the cluster address on a per channel basis.

  Returns:
    The clusterAddress value
  See Also:
    `NetworkChannelMBean.getClusterAddress()`
  A configurable MBean attribute.

### getClusterType

    public String getClusterType()

  Optimizes cross-cluster replication for the type of network that servers in the clusters use for administrative communication.

  To enhance the reliability of HTTP sessions, you can configure servers in one cluster to replicate the session data to servers in a different cluster. In such an environment, configure the clusters to be one of the following types:

  - `man`

    if the clustered servers can send their data through a metro area network (man) in which latency is negligible. With this ClusterType value, servers replicate session state synchronously and in memory only. For example, when serverA in cluster1 starts an HTTP session, its backup server, serverB in cluster2, immediately replicates this session in memory to Server B.

  - `wan`

    if the clusters are far apart or send their data through a wide area network (wan) that experiences significant network latency. With this ClusterType value, a server replicates session state synchronously to the backup server in the same cluster and asynchronously to a server in the remote cluster. For example, when serverA in cluster1 starts an HTTP session, it sends the data to serverB in cluster1 and then asynchronously sends data to serverX in cluster 2. ServerX will persist the session state in the database.

    If you persist session data in a replicating database, and if you prefer to use the database to replicate the data instead of WebLogic Server, choose a cluster type of `wan` and leave the remote cluster address undefined. WebLogic Server saves the session data to the local database and assumes that the database replicates data as needed.

  Default value:
    "none"
  Legal values:
    "none","wan", "man"
  A dynamic MBean attribute.
    false

### getDataSourceForAutomaticMigration

    public JDBCSystemResourceMBean getDataSourceForAutomaticMigration()

  The data source used by servers in the cluster during migration. (You must configure each Migratable Server within the cluster to use this data source.)

  Returns:
    JDBC connection pool to be used by the HABasis module.

### getDataSourceForSessionPersistence

    public JDBCSystemResourceMBean getDataSourceForSessionPersistence()

  To support HTTP Session failover across data centers, requires a datasource to dump session state on disk.

  Returns:
    DataSource for session persistence.

### getDefaultLoadAlgorithm

    public String getDefaultLoadAlgorithm()

  The algorithm to be used for load-balancing between replicated services if none is specified for a particular service. The `round-robin` algorithm cycles through a list of WebLogic Server instances in order. `Weight-based` load balancing improves on the round-robin algorithm by taking into account a pre-assigned weight for each server. In `random` load balancing, requests are routed to servers at random.

  Defines the algorithm to be used for load-balancing between replicated services if none is specified for a particular service.

  Returns:
    The defaultLoadAlgorithm value
  Default value:
    "round-robin"
  Legal values:
    "round-robin","weight-based","random","round-robin-affinity","weight-based-affinity","random-affinity"
  A configurable MBean attribute.

### getFencingGracePeriodMillis

    public int getFencingGracePeriodMillis()

  During automatic migration, if the Cluster Master determines a server to be dead, it waits for this period of time (in milliseconds) before the Cluster Master migrates the service to another server in the cluster.

  Returns:
    fencing-grace-period in milli seconds.
  Default value:
    30000

### getFrontendHost

    public String getFrontendHost()

  The name of the host to which all redirected URLs will be sent.

  Sets the HTTP FrontendHost for the default webserver (not virtual hosts) for all the servers in the cluster. Provides a method to ensure that the webapp will always have the correct HOST information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place, when constructing the absolute urls for redirects.

  Returns:
    The FrontendHost value
  See Also:
    `WebServerMBean.getFrontendHost()`
  Default value:
    null
  A configurable MBean attribute.

### getFrontendHTTPPort

    public int getFrontendHTTPPort()

  The name of the HTTP port to which all redirected URLs will be sent.

  Sets the FrontendHTTPPort for the default webserver (not virtual hosts) for all the servers in the cluster. Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place, when constructing the absolute urls for redirects.

  Returns:
    The FrontendHTTPPort value
  See Also:
    `WebServerMBean.getFrontendHTTPPort()`
  Default value:
    0
  A configurable MBean attribute.

### getFrontendHTTPSPort

    public int getFrontendHTTPSPort()

  The name of the secure HTTP port to which all redirected URLs will be sent.

  Sets the FrontendHTTPSPort for the default webserver (not virtual hosts) for all the servers in the cluster. Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place, when constructing the absolute urls for redirects.

  Returns:
    The FrontendHTTPSPort value
  See Also:
    `WebServerMBean.getFrontendHTTPSPort()`
  Default value:
    0
  A configurable MBean attribute.

### getHealthCheckIntervalMillis

    public int getHealthCheckIntervalMillis()

  Interval in milliseconds at which Migratable Servers and Cluster Masters prove their liveness via the database.

  Returns:
    health-check-interval in milli seconds.
  Default value:
    10000

### getHealthCheckPeriodsUntilFencing

    public int getHealthCheckPeriodsUntilFencing()

  Maximum number of periods that a cluster member will wait before timing out a Cluster Master and also the maximum number of periods the Cluster Master will wait before timing out a Migratable Server.

  Returns:
    fencing-period
  Default value:
    3
  Minimum value:
    2

### getIdlePeriodsUntilTimeout

    public int getIdlePeriodsUntilTimeout()

  Maximum number of periods that a cluster member will wait before timing out a member of a cluster.

  Maximum number of periods that a cluster member will wait before timing out a member of a cluster.

  Returns:
    The idlePeriodsUntilTimeout
  Default value:
    3

### getInterClusterCommLinkHealthCheckInterval

    public int getInterClusterCommLinkHealthCheckInterval()

  If the cluster link between two clusters goes down, a trigger will run to periodically to see if the link is restored. The duration is specified in milliseconds.

  Returns:
    Inter cluster communication link health check interval
  Default value:
    30000

### getMemberWarmupTimeoutSeconds

    public int getMemberWarmupTimeoutSeconds()

  Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster. Normally, the member will be able to sync in 30 seconds. If the value of this attribute is higher, that does not necessarily mean that it will take longer for the member to warmup. Instead it defines an upper bound on the time that a server will wait to sync with the servers that it has discoverred. If the value is set 0, servers will not attempt to discover other running server in the cluster during server initialization

  Returns:
    The memberWarmupTimeoutSeconds value
  Default value:
    30

### getMillisToSleepBetweenAutoMigrationAttempts

    public long getMillisToSleepBetweenAutoMigrationAttempts()

  Controls how long of a pause there should be between the migration attempts described in getAdditionalAutoMigrationAttempts(). Note that this delay only happens when the server has failed to come up on every machine.

  See Also:
    `getAdditionalAutoMigrationAttempts()`
  Default value:
    180000
  A dynamic MBean attribute.
    false

### getMulticastAddress

    public String getMulticastAddress()

  The multicast address used by cluster members to communicate with each other.

  The valid range is from from 224.0.0.0 to 239.255.255.255. The default value used by WebLogic Server is 239.192.0.0. You should avoid using multicast addresses in the range x.0.0.1

  This address should be unique to this cluster and should not be shared by other applications.

  Returns:
    The multicastAddress value
  See Also:
    `ServerMBean.getInterfaceAddress()`, `getMulticastPort()`
  Default value:
    "239.192.0.0"
  A configurable MBean attribute.

### getMulticastBufferSize

    public int getMulticastBufferSize()

  The multicast socket send/receive buffer size (at least 64 kilobytes).

  Returns the multicast socket send/receive buffer size.

  Returns:
    The multicastBufferSize value
  Default value:
    64
  A configurable MBean attribute.

### getMulticastDataEncryption

    public boolean getMulticastDataEncryption()

  Enables multicast data to be incrypted. Only the multicast data is encrypted. Multicast header information is not encrypted.

  Returns:
    true if encryption is enabled, false otherwise
  Default value:
    false
  A dynamic MBean attribute.
    false

### getMulticastPort

    public int getMulticastPort()

  The multicast port (between 1 and 65535) used by cluster members to communicate with each other.

  Defines the multicast port used by cluster members to communicate with each other.

  Returns:
    The multicastPort value
  Since:
    7.0.0.0
  See Also:
    `setMulticastPort(int)`, `getMulticastAddress()`
  Default value:
    7001
  Minimum value:
    1
  Maximum value:
    65535
  A configurable MBean attribute.

### getMulticastSendDelay

    public int getMulticastSendDelay()

  The amount of time (between 0 and 100 milliseconds) to delay sending message fragments over multicast in order to avoid OS-level buffer overflow.

  Defines the number of milliseconds to delay sending message fragments over multicast in order to avoid OS-level buffer overflow.

  Returns:
    The multicastSendDelay value
  Default value:
    3
  Minimum value:
    0
  Maximum value:
    250
  A configurable MBean attribute.

### getMulticastTTL

    public int getMulticastTTL()

  The number of network hops (between 1 and 255) that a cluster multicast message is allowed to travel.

  Defines the number of network hops that a cluster multicast message is allowed to travel. 1 restricts the cluster to one subnet.

  Returns:
    The multicastTTL value
  Default value:
    1
  Minimum value:
    1
  Maximum value:
    255
  A configurable MBean attribute.

### getNumberOfServersInClusterAddress

    public int getNumberOfServersInClusterAddress()

  Number of servers to be listed from this cluster when generating a cluster address automatically. This setting has no effect if Cluster Address is explicitly set.

  Returns:
    number of server to be listed in this cluster
  See Also:
    `getClusterAddress()`
  Default value:
    3
  A dynamic MBean attribute.
    false

### getOverloadProtection

    public OverloadProtectionMBean getOverloadProtection()

  Get attributes related to server overload protection. The default values for all cluster members are set here. Individual servers can override them as needed.

### getRemoteClusterAddress

    public String getRemoteClusterAddress()

  Set the foreign cluster. Cluster infrastructure uses this address to connect to foreign cluster for HTTP Session WAN/MAN failover.

  Returns:
    Foreign cluster Address.
  A dynamic MBean attribute.
    false

### getReplicationChannel

    public String getReplicationChannel()

  The channel name to be used for replication traffic. Cluster infrastructure uses this channel to send updates for HTTP sessions and stateful session beans. If none is set then the default channel will be used.

  In order for this feature to work, the named channel must exist on all members of the cluster and must be configured to use the same protocol. It is valid for the selected channel to be configured to use a secure protocol.

  Returns:
    Channel name to be used for replication.
  See Also:
    `getRemoteClusterAddress()`
  Default value:
    "ReplicationChannel"
  A dynamic MBean attribute.
    false

### getServers

    public ServerMBean[] getServers()

  The servers which have declared membership in this cluster.

  Returns:
    The servers value

### getServiceAgeThresholdSeconds

    public int getServiceAgeThresholdSeconds()

  The number of seconds (between 0 and 65534) by which the age of two conflicting services must differ before one is considered older than the other.

  Defines the number of seconds by which the age of two conflicting services must differ before one is considered older than the other.

  Returns:
    The serviceAgeThresholdSeconds value
  Default value:
    180
  A configurable MBean attribute.

### getSessionFlushInterval

    public int getSessionFlushInterval()

  Interval in seconds until HTTP Sessions are periodically flushed to the backup cluster to dump session state on disk.

  Returns:
    session-flush-interval in seconds.
  Default value:
    180

### getSessionFlushThreshold

    public int getSessionFlushThreshold()

  When number of sessions to be flushed reaches this threshold limit, sessions will be flushed to the backup cluster before the flush interval. This helps the server to flush sessions faster under load.

  Returns:
    session-flush-threshold
  Default value:
    100

### isClientCertProxyEnabled

    public boolean isClientCertProxyEnabled()

  Specifies whether to honor the WL-Proxy-Client-Cert header coming with the request or not.

  Returns:
    The clientCertProxyEnabled value
  See Also:
    `WebAppContainerMBean.isClientCertProxyEnabled()`, `ServerMBean.isClientCertProxyEnabled()`

### isHttpTraceSupportEnabled

    public boolean isHttpTraceSupportEnabled()

  Returns the value of HttpTraceSupportEnabled.

  Returns:
    HttpTraceSupportEnabled value
  See Also:
    `WebAppContainerMBean.isHttpTraceSupportEnabled()`, `ServerMBean.isHttpTraceSupportEnabled()`

### isReplicationTimeoutEnabled

    public boolean isReplicationTimeoutEnabled()

  Indicates if timeout should be applied to session replication calls.

  Default value:
    true
  A dynamic MBean attribute.
    false

### isWeblogicPluginEnabled

    public boolean isWeblogicPluginEnabled()

  Specifies whether the proprietary `WL-Proxy-Client-IP` header should be used. (This needed only when WebLogic plugins are configured.)

  Gets the weblogicPluginEnabled attribute of the ClusterMBean object

  Returns:
    The weblogicPluginEnabled value
  See Also:
    `WebAppContainerMBean.isWeblogicPluginEnabled()`, `ServerMBean.isWeblogicPluginEnabled()`

### kill

    public HashMap kill()

  Used to force a Shutdown of all the servers belonging to the Cluster.

  Returns:

### setAdditionalAutoMigrationAttempts

    public void setAdditionalAutoMigrationAttempts(int tries)

  Sets the AdditionalAutoMigrationAttempts value If it is set to -1, migrations will go on forever until the server starts.

  Parameters:
    `tries` - number of additional times to loop through all the machines
  See Also:
    `getAdditionalAutoMigrationAttempts()`
  A dynamic MBean attribute.
    false

### setAutoMigrationTableName

    public void setAutoMigrationTableName(String name)

### setCandidateMachinesForMigratableServers

    public void setCandidateMachinesForMigratableServers(MachineMBean[] machines)

  set getCandidateMachinesForMigratableServers

  A dynamic MBean attribute.
    false

### setClientCertProxyEnabled

    public void setClientCertProxyEnabled(boolean ccp)

  A value of `true` causes proxy-server plugins to pass identity certificates from clients to all web applications that are deployed on all server instances in the cluster.

  A proxy-server plugin encodes each identify certification in the `WL-Proxy-Client-Cert` header and passes the header to WebLogic Server instances. Each WebLogic Server instance takes the certificate information from the header, trusting that it came from a secure source, and uses that information to authenticate the user.

  If you specify `true`, use a `ConnectionFilter` to ensure that each WebLogic Server instance accepts connections only from the machine on which the proxy-server plugin is running. Specifying `true` without using a connection filter creates a potential security vulnerability because the `WL-Proxy-Client-Cert` header can be spoofed.

  A value of `true` overrides the value that each server instance within the cluster specifies with `ServerMBean.setClientCertProxyEnabled(boolean)`.

  By default (or if you specify `false`):

  - Each server instance can determine whether its applications trust certificates sent from the proxy server plugin.

  - If a server instance does not set a value for its `ClientCertProxyEnabled` attribute (or if it specifies `false`), the `weblogic.xml` deployment descriptor for each web application determines whether the web application trusts certificates sent from the proxy server plugin.

  - By default (or if the deployment descriptor specifies `false`), users cannot log in to the web application from a proxy server plugin.

  Parameters:
    `ccp` - The new clientCertProxyEnabled value
  See Also:
    `WebAppContainerMBean.setClientCertProxyEnabled(boolean)`, `ServerMBean.setClientCertProxyEnabled(boolean)`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setClusterAddress

    public void setClusterAddress(String address)
                           throws InvalidAttributeValueException

  Sets the cluster's address.

  Parameters:
    `address` - The new clusterAddress value
  Throws:
    `InvalidAttributeValueException`
    `IllegalArgumentException` - if the address is not either a well-formed IP address or hostname.
  See Also:
    `getMulticastAddress()`
  A dynamic MBean attribute.
    false

### setClusterType

    public void setClusterType(String type)

  Sets the value of the ClusterType attribute.

  Default value:
    "none"
  Legal values:
    "none","wan", "man"
  A dynamic MBean attribute.
    false

### setDataSourceForAutomaticMigration

    public void setDataSourceForAutomaticMigration(JDBCSystemResourceMBean dataSource)

  Sets the DataSourceForAutomaticMigration attribute.

  See Also:
    `getDataSourceForAutomaticMigration()`
  A dynamic MBean attribute.
    false

### setDataSourceForSessionPersistence

    public void setDataSourceForSessionPersistence(JDBCSystemResourceMBean mbean)

  Sets the DataSourceForSessionPersistence attribute.

  Parameters:
    `mbean` -
  See Also:
    `getDataSourceForSessionPersistence()`
  A dynamic MBean attribute.
    false

### setDefaultLoadAlgorithm

    public void setDefaultLoadAlgorithm(String value)
                                 throws InvalidAttributeValueException

  Sets the default load balancing algorithm.

  Parameters:
    `value` - The new defaultLoadAlgorithm value
  Throws:
    `InvalidAttributeValueException`
    `IllegalArgumentException` - if the value is not a valid algorithm.
  A dynamic MBean attribute.

### setFencingGracePeriodMillis

    public void setFencingGracePeriodMillis(int gracePeriod)

  Sets the value of the FencingGracePeriodMillis attribute.

  See Also:
    `getFencingGracePeriodMillis()`
  A dynamic MBean attribute.
    false

### setFrontendHost

    public void setFrontendHost(String hostName)
                         throws InvalidAttributeValueException

  Sets the FrontendHost attribute of the WebServerMBean object

  Parameters:
    `hostName` - The new FrontendHost value
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.
    false

### setFrontendHTTPPort

    public void setFrontendHTTPPort(int httpPort)
                             throws InvalidAttributeValueException

  Sets the FrontendHTTPPort attribute.

  Parameters:
    `httpPort` - The new FrontendHTTPPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFrontendHTTPPort()`
  A dynamic MBean attribute.
    false

### setFrontendHTTPSPort

    public void setFrontendHTTPSPort(int httpsPort)
                              throws InvalidAttributeValueException

  Sets the FrontendHTTPSPort attribute.

  Parameters:
    `httpsPort` - The new FrontendHTTPSPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFrontendHTTPSPort()`
  A dynamic MBean attribute.
    false

### setHealthCheckIntervalMillis

    public void setHealthCheckIntervalMillis(int healthCheckInterval)

  Sets the value of the HealthCheckIntervalMillis attribute.

  Parameters:
    `healthCheckInterval` - in milli seconds.
  See Also:
    `getHealthCheckIntervalMillis()`
  A dynamic MBean attribute.
    false

### setHealthCheckPeriodsUntilFencing

    public void setHealthCheckPeriodsUntilFencing(int healthCheckPeriodsUntilTimeout)

  Sets the value of the HealthCheckPeriodsUntilFencing attribute.

  See Also:
    `getHealthCheckPeriodsUntilFencing()`
  A dynamic MBean attribute.
    false

### setHttpTraceSupportEnabled

    public void setHttpTraceSupportEnabled(boolean tse)

  Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data. In the presence of other cross-domain vulnerabilities in web browsers, sensitive header information could be read from any domains that support the HTTP TRACE method. This attribute is for disabling HTTP TRACE support. It is duplicated both in ClusterMBean and ServerMBean so the attribute HttpTraceSupportEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

  See Also:
    `WebAppContainerMBean.setHttpTraceSupportEnabled(boolean)`, `ServerMBean.setHttpTraceSupportEnabled(boolean)`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setIdlePeriodsUntilTimeout

    public void setIdlePeriodsUntilTimeout(int timeout)

  Sets the IdlePeriodsUntilTimeout attribute.

  See Also:
    `getIdlePeriodsUntilTimeout()`
  Minimum value:
    3
  A dynamic MBean attribute.
    false

### setInterClusterCommLinkHealthCheckInterval

    public void setInterClusterCommLinkHealthCheckInterval(int interval)

  Sets the InterClusterCommLinkHealthCheckInterval attribute.

  Parameters:
    `interval` -
  See Also:
    `getInterClusterCommLinkHealthCheckInterval()`
  A dynamic MBean attribute.

### setMemberWarmupTimeoutSeconds

    public void setMemberWarmupTimeoutSeconds(int seconds)

  Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster.

  Parameters:
    `seconds` - The new memberWarmupTimeoutSeconds value
  See Also:
    `getMemberWarmupTimeoutSeconds()`
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### setMillisToSleepBetweenAutoMigrationAttempts

    public void setMillisToSleepBetweenAutoMigrationAttempts(long millis)

  Sets the getMillisToSleepBetweenAutoMigrationAttempts value

  Parameters:
    `millis` - number of milliseconds to wait
  See Also:
    `getMillisToSleepBetweenAutoMigrationAttempts()`
  A dynamic MBean attribute.
    false

### setMulticastAddress

    public void setMulticastAddress(String address)
                             throws InvalidAttributeValueException

  Sets the multicast address used by cluster members to communicate with each other.

  Parameters:
    `address` - The new multicastAddress value
  Throws:
    `InvalidAttributeValueException`
    `IllegalArgumentException` - if the argument is not a well-formed IP address.
  See Also:
    `ServerMBean.getInterfaceAddress()`, `setMulticastPort(int)`
  A dynamic MBean attribute.
    false

### setMulticastBufferSize

    public void setMulticastBufferSize(int bufSize)

  Defines the multicast socket send/receive buffer size.

  Parameters:
    `bufSize` - The new multicastBufferSize value
  Minimum value:
    64
  A configurable MBean attribute.
  A dynamic MBean attribute.
    false

### setMulticastDataEncryption

    public void setMulticastDataEncryption(boolean value)

### setMulticastPort

    public void setMulticastPort(int port)
                          throws InvalidAttributeValueException

  The multicast port used by cluster members to communicate with each other.

  Parameters:
    `port` - The new multicastPort value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMulticastPort()`, `setMulticastAddress(java.lang.String)`
  Minimum value:
    1
  Maximum value:
    65535
  A dynamic MBean attribute.
    false

### setMulticastSendDelay

    public void setMulticastSendDelay(int delay)
                               throws InvalidAttributeValueException

  Sets the number of milliseconds to delay sending message fragments over multicast.

  Parameters:
    `delay` - The new multicastSendDelay value
  Throws:
    `InvalidAttributeValueException`
  Minimum value:
    0
  Maximum value:
    100
  A dynamic MBean attribute.
    false

### setMulticastTTL

    public void setMulticastTTL(int ttl)
                         throws InvalidAttributeValueException

  Sets the time-to-live value for the cluster's multicast address.

  Parameters:
    `ttl` - The new multicastTTL value
  Throws:
    `InvalidAttributeValueException`
  Minimum value:
    0
  Maximum value:
    255
  A dynamic MBean attribute.
    false

### setNumberOfServersInClusterAddress

    public void setNumberOfServersInClusterAddress(int numberOfServersInClusterAddress)

  Sets the NumberOfServersInClusterAddress attribute

  See Also:
    `getNumberOfServersInClusterAddress`

### setRemoteClusterAddress

    public void setRemoteClusterAddress(String clusterAddress)

  Sets the RemoteClusterAddress attribute.

  Parameters:
    `clusterAddress` - Set the foreign cluster address for WAN/MAN HTTP session failover.
  See Also:
    `getRemoteClusterAddress()`
  A dynamic MBean attribute.
    false

### setReplicationChannel

    public void setReplicationChannel(String replicationChannel)

  Parameters:
    `replicationChannel` - channel name for session replication.
  See Also:
    `getReplicationChannel()`
  A dynamic MBean attribute.
    false

### setReplicationTimeoutEnabled

    public void setReplicationTimeoutEnabled(boolean replicationTimeout)

  Enable or disable replication timeout.

  Default value:
    true
  A dynamic MBean attribute.
    false

### setServiceAgeThresholdSeconds

    public void setServiceAgeThresholdSeconds(int seconds)
                                       throws InvalidAttributeValueException,
                                              weblogic.management.DistributedManagementException

  Defines the number of seconds by which the age of two conflicting services must differ before one is considered older than the other.

  Parameters:
    `seconds` - The new serviceAgeThresholdSeconds value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  Minimum value:
    0
  Maximum value:
    65534
  A dynamic MBean attribute.

### setSessionFlushInterval

    public void setSessionFlushInterval(int sessionFlushInterval)

  Sets the SessionFlushInterval attribute.

  Parameters:
    `sessionFlushInterval` - in seconds
  See Also:
    `getSessionFlushInterval()`
  A dynamic MBean attribute.
    false

### setSessionFlushThreshold

    public void setSessionFlushThreshold(int sessionFlushThreshold)

  Sets the SessionFlushThreshold attribute.

  Parameters:
    `sessionFlushThreshold` -
  See Also:
    `getSessionFlushThreshold()`
  A dynamic MBean attribute.
    false

### setWeblogicPluginEnabled

    public void setWeblogicPluginEnabled(boolean wpe)

  WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value. This is a security hole due to HTTP header can be easily mocked and we end up with returning wrong value. This is improved by introducing a proprietary header WL-Proxy-Client-IP from our plugins and this header will only be used if WLS is configured to use our plugins. This is duplicated both in ClusterMBean and ServerMBean so the attribute WeblogicPluginEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

  Parameters:
    `wpe` - The new weblogicPluginEnabled value
  See Also:
    `WebAppContainerMBean.setWeblogicPluginEnabled(boolean)`, `ServerMBean.setWeblogicPluginEnabled(boolean)`
  Default value:
    false
  A dynamic MBean attribute.
    false

### start

    public HashMap start()

  Used to start all the servers belonging to the Cluster. HashMap contains references to TaskRuntimeMBeans corresponding to each server in the Cluster, keyed using the server name.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD